GET
/controls#controlType
http://auditmanager.{region}.amazonaws.com/controls#controlTypeReturns a list of controls from Audit Manager.
Access Token Required: API Key
Query Params
controlTypestringrequired
The type of control, such as a standard control or a custom control.
Allowed:
nextTokenstring
The pagination token that's used to fetch the next set of results.
maxResultsinteger
Represents the maximum number of results on a page or for an API request call.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://auditmanager.{region}.amazonaws.com/controls#controlType' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}